Why Do I Get an AJAX Failure Error in the Email Section of cPanel?

AJAX scripting has been integrated into the cPanel control panel. You may have noticed advanced functionality like sliding and expanding menus. While this script is meant to improve cPanel's usability, you may encounter some dificulties if AJAX is incompatible with your browser.

Incompatible browsers display the following error message in the email account section of cPanel:

AJAX Failure! I failed 3 times. Please refresh the page and try again.

Safari Browsers

At this time, this error seems to only affect Safari browsers that do not support AJAX scripting, specifically version 4 and some version 5.

To resolve this issue, try any of the following:

  • Clear the Safari browser's cache.
  • At the bottom of the email accounts page in cPanel, click If you need an interface that uses less JavaScript click here. This link should allow you to manage your email accounts in Safari without the AJAX errors.
  • Upgrade to the newest version of Safari (should be version 6 or higher) which will allow JavaScript to work properly.
  • Try a different browser such as Firefox or Chrome.